---
title: SourceBufferList.length
slug: Web/API/SourceBufferList/length
tags:
  - API
  - Audio
  - MSE
  - Media Source Extensions
  - Property
  - Reference
  - SourceBufferList
  - Video
  - length
---
<div>{{draft}}{{APIRef("Media Source Extensions")}}{{SeeCompatTable}}</div>

<p>The <code><strong>length</strong></code> read-only property of the {{domxref("SourceBufferList")}} interface returns the number of {{domxref("SourceBuffer")}} objects in the list.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>myListLength</em> = <em>sourceBufferList</em>.length;</pre>

<h3 id="Value">Value</h3>

<p>An unsigned long number.</p>

<h2 id="Example">Example</h2>

<p>TBD</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Source Extensions', '#idl-def-sourcebufferlist-length', 'length')}}</td>
   <td>{{Spec2('Media Source Extensions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SourceBufferList.length")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBuffer")}}</li>
</ul>
